{
  ...
}:
rec {
  hostname = "portainer";
  managed = false;
  ip = "192.168.10.188";

  traefikRoutes = [
    {
      name = "${hostname}-traefik-fallback";
      rule = "HostRegexp(`.*`)";
      target = "http://${ip}:80";
      priority = 1;
    }
    {
      name = "${hostname}-transmission";
      rule = "Host(`transmission.kallestruik.nl`) && ClientIP(`192.168.10.0/24`)";
      target = "http://${ip}:9091";
    }
    {
      name = "${hostname}-sonarr";
      rule = "Host(`sonarr.kallestruik.nl`) && ClientIP(`192.168.10.0/24`)";
      target = "http://${ip}:8989";
    }
    {
      name = "${hostname}-radarr";
      rule = "Host(`radarr.kallestruik.nl`) && ClientIP(`192.168.10.0/24`)";
      target = "http://${ip}:7878";
    }
    {
      name = "${hostname}-prowlarr";
      rule = "Host(`prowlarr.kallestruik.nl`) && ClientIP(`192.168.10.0/24`)";
      target = "http://${ip}:9696";
    }
    {
      name = "${hostname}-lidarr";
      rule = "Host(`lidarr.kallestruik.nl`) && ClientIP(`192.168.10.0/24`)";
      target = "http://${ip}:8686";
    }
  ];
}
