# FreshRSS role

## Notes
- Requires the postgres role to be enabled on the same host.
- By default no SSO is configured.

## Options
### `freshrss.domain`
The domain used by freshrss.

### `freshrss.adminUser`
The administrator user for freshrss. This users password is controlled by the
`freshrss/admin_pass` secret.

## Secrets
### `freshrss/db_pass`
The password for the freshrss postgres database. This should be the same as 
`postgres/freshrss` on the same host.

### `freshrss/admin_pass`
The password for the administrator user.

